lunes, 16 de marzo de 2015

Vulnerabilidades descubiertas en SCADA Engine BACnet OPC Server

Se han reportado varias vulnerabilidades en SCADA Engine BACnet OPC Server descubiertas por el investigador independiente Josep Pi Rodriguez. Estas vulnerabilidades podrían permitir a un atacante remoto ejecutar código arbitrario y saltar restricciones de seguridad.

BACnet OPC Server, es un servidor que proporciona acceso a datos, alarmas y eventos, así como acceso a históricos de datos entre clientes OPC y dispositivos BACnet compatibles. BACnet es un protocolo de comunicación de datos especialmente diseñado para intercomunicar dispositivos electrónicos (alarmas, sensores…etc.) localizados en edificios generalmente de gran tamaño.

La primera vulnerabilidad, con CVE-2015-0979, en la cual un error en el 'SOAP' (Simple Object Access Protocol) web interface podría causar una corrupción de memoria basada en Heap. Esto podría ser aprovechado por un atacante remoto para causar una denegación de servicio y potencialmente ejecutar código arbitrario a través de paquetes especialmente manipulados.

La siguiente vulnerabilidad, con CVE-2015-0980, en la que un error de validación de entrada en 'BACnOPCServer.exe' en la interfaz web 'SOAP' permitiría a un atacante remoto ejecutar código arbitrario a través de peticiones especialmente manipuladas.

Por último, el CVE-2015-0981, en el cual una vulnerabilidad no especificada en la interfaz web 'SOAP' permitiría a un atacante remoto saltar restricciones de seguridad con la posibilidad de insertar, leer o eliminar cualquier campo en la base de datos a través de vectores no especificados.

Afectan a las siguientes versiones:
BACnet OPC Server versión 2.1.359.22 y anteriores.
Se recomienda actualizar a la siguiente versión:

Más información:

BACnet OPC Server

Advisory (ICSA-15-069-03)
SCADA Engine BACnet OPC Server Vulnerabilities
  


Juan Sánchez

No hay comentarios:

Publicar un comentario en la entrada